Subject: Re: [PATCH v2 4/7] packfile: always populate pack-specific info when reading object info

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 5 Jan 2026 12:38:21 +0100

On Tue, Dec 30, 2025 at 06:03:24PM +0100, Kristoffer Haugsbakk wrote:
> On Thu, Dec 18, 2025, at 11:54, Patrick Steinhardt wrote:
> > When reading object information via `packed_object_info()` we may not
> > populate the object info's packfile-specific fields. This leads to
> > inconsistent object info depending on whether the info was populated via
> > `packfile_store_read_object_info()` or `packed_object_info()`.
> >
> > Fix this inconsistecny so that we can always assume the pack info to be
> 
> s/inconsistecny/inconsistency/

Thanks, I've queued this change locally now. I'll hold off sending a new
iteration for now though.

Patrick